Subject: Re: git-fetch not working?

From: "H. Peter Anvin" <[email-masked]>
Date: Tue, 24 Oct 2006 14:10:11 -0700

Petr Baudis wrote:
>   Hi,
> 
> Dear diary, on Tue, Oct 24, 2006 at 10:00:45PM CEST, I got a letter
> where Andy Parkins <[email-masked]> said that...
>> $ cat .git/remotes/origin 
>> URL: git://git.kernel.org/pub/scm/git/git.git
>> Pull: refs/heads/master:refs/heads/up/master
>> Pull: refs/heads/next:refs/heads/up/next
>> Pull: refs/heads/maint:refs/heads/up/maint
>> Pull: +refs/heads/pu:refs/heads/up/pu
>>
>> $ git fetch
>> fatal: unexpected EOF
>> Failed to find remote refs
>>
>> $ ping -c1 git.kernel.org
>> PING zeus-pub.kernel.org (204.152.191.5) 56(84) bytes of data.
>> 64 bytes from zeus-pub1.kernel.org (204.152.191.5): icmp_seq=1 ttl=54 time=182 
>> ms
>>
>> Am I doing something wrong?
> 
>   nope, I'm getting it as well (hey I know about broken git.kernel.org
> in an hour at most now because of the repo.or.cz cronjobs ;) -
> git-daemon at the kernel.org machines seems to be broken.
> 

Nope, just tripping the load limit.  git1.kernel.org has had loads over 
400 today.  Oddly enough, the load on git2.kernel.org is in the low teens.

	-hpa